diff --git a/CHANGELOG b/CHANGELOG
index c774dd0..bf5a80d 100644
--- a/CHANGELOG
+++ b/CHANGELOG
@@ -2,6 +2,9 @@
 Changes since U-Boot 1.1.4:
 ======================================================================
 
+* Add a note to the CFG_MEMTEST_SCRATCH option in the README file.
+  Patch by Keith Outwater, 08 May 2006
+
 * Coding Style cleanup
 
 * Write RTC seconds first to maintain settings integrity per
diff --git a/README b/README
index 3ffef62..b29db1d 100644
--- a/README
+++ b/README
@@ -1717,6 +1717,10 @@ Configuration Settings:
 - CFG_MEMTEST_SCRATCH:
 		Scratch address used by the alternate memory test
 		You only need to set this if address zero isn't writeable
+		OR if you set CFG_MEMTEST_START to zero.
+		NOTE: If CFG_MEMTEST_SCRATCH equals CFG_MEMTEST_START,
+		you will get errors on the dataline test since
+		the scratch address is used to "clear" the databus.
 
 - CFG_TFTP_LOADADDR:
 		Default load address for network file downloads
